package com.diaoyun.zion.chinafrica.entity;

import java.math.BigDecimal;
import java.text.SimpleDateFormat;
import java.util.Date;

public class TbCfToiCouponEntityExtends extends TbCfToicouponEntity {
    private BigDecimal amount;
    private BigDecimal money; 

    private String  start;
    private String  end;

    private Integer status;

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public void setStart(Date start) {
        SimpleDateFormat format=new SimpleDateFormat("yyyy/MM/dd");
        String startTime = format.format(start);
        this.start = startTime;
    }

    public String getStart() {
        return start;
    }

    public String getEnd() {
        return end;
    }

    public void setEnd(Date end) {
        SimpleDateFormat format=new SimpleDateFormat("yyyy/MM/dd");
        String endTime = format.format(end);
        this.end = endTime;
    }

    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    public BigDecimal getMoney() {
        return money;
    }

    public void setMoney(BigDecimal money) {
        this.money = money;
    }
}
